Subject: Re: [e1000 debug] KERNEL: assertion (!sk_forward_alloc) failed...

From: "Boris B. Zhmurov" <[email-masked]>
Date: Fri, 31 Mar 2006 16:07:03 +0400

Hello, Herbert Xu.

On 31.03.2006 14:39 you said the following:

> On Fri, Mar 31, 2006 at 02:16:38PM +0400, Boris B. Zhmurov wrote:
> 
>>And xdelta tells, that e1000.ko was modified :)
> 
> 
> Thanks for checking again.
> 
> Anyway, it didn't take long to find another bug in the same area.
> I'm afraid this driver does seem to be full of them :)
> 
> It sets last_tx_tso in between computing the number of descriptors and
> calling e1000_tx_map.  This is bad because e1000_tx_map gets the wrong
> value for last_tx_tso and therefore may corrupt memory for every TSO
> packet when the ring is almost full.
> 
> This bug exists on UP as well as SMP.
> 
> Signed-off-by: Herbert Xu <[email-masked]>
> 
> Please try this in conjunction with the previous patch.
> 
> Cheers,

David, Herbert - FYI. One of my colleague confirmed, that idea "bug 
reproducible only if there is more then one e1000 adapter onboard" is 
true. He has a 3 servers with double intel pro 1000 adapters, and that 
bug occurs. Also, he has 4 servers with double intel pro 1000 adapters 
onboard, but _only one_ of them is up. And there is no such messages in 
dmesg at all! Inetresting...

-- 
Boris B. Zhmurov
mailto: [email-masked]
"wget http://kernelpanic.ru/bb_public_key.pgp -O - | gpg --import"

-------------------------------------------------------
This SF.Net email is sponsored by xPML, a groundbreaking scripting language
that extends applications into web and mobile media. Attend the live webcast
and join the prime developer group breaking into this new coding territory!
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=110944&bid=241720&dat=121642